/*
 * These are typedefs for the procs provided by the Board Manager DLL
 */


/* Move(HWND hwnd, HANDLE hGoBoard, int r, int c)
 *
 * A move was made at [r,c] by player.  Place stone and remove any captured
 * players from the board.
 */
typedef void (FAR PASCAL *MoveProc)(HWND, HANDLE, int, int);


/* Pass(HWND)
 *
 * Provided to allow a Go player to pass.
 */
typedef void (FAR PASCAL *PassProc)(HWND);


/*
 * void TraverseArmy(PGoBoard pGoBoard, players player, int r, int c, directions dir, void *data)
 *
 * recursivly traverse the army specified by [r][c] and call TraverseFunction
 * for every stone in the army.
 */
// typedef for TraverseArmy action function
typedef void (FAR PASCAL *TraverseFunctionProc)(PGoBoard, players, int, int, void *);
typedef void (FAR PASCAL *TraverseArmyProc)(PGoBoard pGoBoard, players player, int r, int c, directions direction, void *data, TraverseFunctionProc action);


/* int ArmyStrength(PGoBoard pGoBoard, int r, int c)
 *
 * Return the strength of the army at [r][c]
 */
typedef int (FAR PASCAL *ArmyStrengthProc)(PGoBoard pGoBoard, int r, int c);
