/* GoBoard is the data representation for one instance of a GO element.
 *
 * A GoBoard is a two-dimensional array of bytes, where each
 * byte represents a position on the Go board.  The first index
 * is the row number (0 to GO_DIMEN, with 0 being the top row) and
 * the second index is the column number (0 to GO_DIMEN, with 0 being
 * the leftmost column).
 *
 * A position on the Go board is represented by a byte as follows:
 *	0	position is not occupied
 *	1	position is occupied by player 1
 *	2	position is occupied by player 2
 *
 */

// constants
#define GWW_CURPLAYER	0
#define GWL_MOVEPROC	2
#define GWL_PASSPROC	6

#define	GO_DIMEN		19					// maximum width and height of a Go board
#define rgbGOBOARD      RGB(128, 64, 64)    // the Go board itself
#define rgbGOLIGHTLINE  RGB(255, 255, 255)  // lines on the Go board
#define rgbGODARKLINE   RGB(128, 128, 128)  // shadow lines
#define rgbGOWHITE		RGB(255, 255, 255)  // player 1's stones
#define rgbGOBLACK		RGB(0, 0, 0)        // player 2's stones
#define SHWD            2                   // dark (shadow) line width
#define SPOT_SHRINK     100                 // board:spot size ratio


typedef enum { EMPTY, WHITE, BLACK } players;
typedef enum { NONE, NORTH, SOUTH, EAST, WEST } directions;
typedef signed char	GoBoard[GO_DIMEN][GO_DIMEN];
typedef GoBoard FAR *	PGoBoard;			// pointer to a Go board

typedef LONG (FAR PASCAL *GoProc)(HWND, unsigned, WORD, LONG, HANDLE);
